Bug 1010258 - gnome-control-center display incorrectly guesses screen size
gnome-control-center display incorrectly guesses screen size
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 07:56 EDT by Phil
Modified: 2015-06-29 20:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:42:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (83.20 KB, text/x-log)
2013-09-20 07:56 EDT, Phil
no flags Details
Screen shot of the display configuration window (291.50 KB, image/png)
2013-09-20 07:58 EDT, Phil
no flags Details
Screen shot showing unreadable menu options and text size disparity (242.76 KB, image/png)
2013-09-20 08:00 EDT, Phil
no flags Details
xorg log file for binary nvidia driver (22.33 KB, text/x-log)
2013-09-20 21:25 EDT, Phil
no flags Details
Output from monitor-edid (3.11 KB, text/x-log)
2013-09-20 21:42 EDT, Phil
no flags Details

  None (edit)
Description Phil 2013-09-20 07:56:35 EDT
Created attachment 800468 [details]
xorg log file

Description of problem:
I have a 47" Samsung Series 6 LCD.  gnome-control-center display shows appropriate resolutions, but thinks my screen is 7".  This makes every font super sized and many options are unreadable - see attached screen shots.

Version-Release number of selected component (if applicable):
F20

How reproducible:
After upgrade and after fresh installation

Steps to Reproduce:
1. Install
2. Say 'OMG, why does it think my 47" is only 7", where's the extra 40"s gone?' :)

Actual results:
All fonts, dialogues and windows are SUPER SIZED

Expected results:
It detect my screen is larger than 7"

Additional info:
Comment 1 Phil 2013-09-20 07:58:21 EDT
Created attachment 800470 [details]
Screen shot of the display configuration window

Some text is 'normal' sized, but most other things are quite large.
Comment 2 Phil 2013-09-20 08:00:18 EDT
Created attachment 800472 [details]
Screen shot showing unreadable menu options and text size disparity
Comment 3 Rui Matos 2013-09-20 08:17:42 EDT
From your X log:

[   169.533] (II) NOUVEAU(0): Output DVI-I-1 has no monitor section
[   169.556] (II) NOUVEAU(0): Output DVI-I-2 has no monitor section
[   169.611] (II) Quirked EDID physical size to 0x0 cm
[   169.611] (II) NOUVEAU(0): EDID for output DVI-I-1
[   169.611] (II) NOUVEAU(0): Manufacturer: SAM  Model: 509  Serial#: 1
[   169.611] (II) NOUVEAU(0): Year: 2008  Week: 48
[   169.611] (II) NOUVEAU(0): EDID Version: 1.3
[   169.611] (II) NOUVEAU(0): Digital Display Input
[   169.611] (II) NOUVEAU(0): Indeterminate output size

So, tentatively assigning this to the nouveau driver.
Comment 4 Phil 2013-09-20 21:25:35 EDT
Created attachment 800805 [details]
xorg log file for binary nvidia driver

I'm not sure this is a Nouveau specific bug.  I just installed the binary nvidia driver from RPMFusion rawhide and the exact same anomally is present.
Comment 5 Phil 2013-09-20 21:42:11 EDT
Created attachment 800806 [details]
Output from monitor-edid

I have run 'monitor-edid' on 2 different computers plugged in to my tv.  The second computer also has an nvidia card, but it's running F19.  Both of my computers report the same information.  I have even tried switching firmware versions on my TV, I have an option of 2, and the EDID info is the same.

I'm hazzarding a guess that gnome is trying to be clever in picking a scale that suits the device, but I feel this should be overridable.  If it is possible to select a resolution, can it also be possible to select a screen size?
Comment 6 Rui Matos 2013-09-21 12:13:34 EDT
See https://bugzilla.gnome.org/show_bug.cgi?id=708382#c2 for a way to override the new scaling factor.

In any case, if your TV lies about its dimensions how do you want GNOME to guess better?
Comment 7 Phil 2013-09-27 09:13:10 EDT
so the dconf hack fixed everything right up.
org.gnome.desktop.interface text-scaling-factor 1

From a fresh installation the setting was 1.6.  Strangely when I used dconf-editor and put the cursor in the box to change the factor it suddenly rounded up to 2.  Forcibly setting "1" fixed the issue though.

Given that monitors vary in size/resolution and I'm no doubt not the only person with a device that lies about edid info, having a scaling slider in the accessibility options for large text may be a good enhancement.  Simply enabling 'large text' may not give a big enough boost to those who need it.  But, that's just a passing thought..

Thank you for your assistance :)
Comment 8 Phil 2013-09-27 12:50:16 EDT
Sorry for the continued post, I must be drunk and don't know the difference between my F19 and F20 computers.  Forcing the text scaling factor does kind of fix the issue, but my mouse cursor is still gigantic in some windows and icons and gnome menus are still ridiculously large.


Providing a method to override physical screen size would be the ultimate solution.  Having gnome decipher a sane default is desirable, but when the default is incorrect it is not desirable to leave users without an option.


I have inspected the hex of my tv's edid and referenced it against the 1.3 spec - http://en.wikipedia.org/wiki/Extended_display_identification_data#EDID_1.3_data_format .  I have found that byte 21 = 16 and byte 22 = 9.  It's reporting its aspect ratio, not its physical size.  I suppose I could hack the edid and use the proprietary nvidia driver to force the use of my hacked binary, but that's a highly undesirable, janky and unsustainable option.  It's also an option I am not sure will work given my x hackery so far.


I have attempted to:
* hand hack xorg.conf to use the "DisplaySize" setting, which from documentation is used to calculate the DPI of the screen.
* hand hacked xorg.conf to tell the nvidia driver to not use the EdidDPI - http://www.mythtv.org/wiki/Specifying_DPI_for_NVIDIA_Cards
* hand hacked /etc/X11/Xresources as noted in ^^ doc.

None of these have worked to fix gnome.


Given that manufacturers have a penchant for deviating from spec, isn't it then a bad thing to assume that all edids are always going to be 100% correct for every single part of the spec? And if so, would it not be best to provide a method of overriding this?  A quick trawl of google will highlight a plethora of edid based issues.


I would like to see this ticket re-opened as my Fedora experience is negatively impacted and this is a defect when compared with previous versions.  I hope that others affected by this issue take the time to add to this ticket.
Comment 9 Rui Matos 2013-09-28 07:35:01 EDT
Ok, let's try to dig a bit more into this. Paste here the output of these commands:

gsettings get org.gnome.desktop.interface text-scaling-factor
gsettings get org.gnome.desktop.interface scaling-factor
Comment 10 Fedora End Of Life 2015-05-29 05:25:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 20:42:40 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.